
import excel "$dir\documents\geographic.xlsx", sheet("w2_formerge") firstrow clear

tempfile w2_geotemp
save "`w2_geotemp'"

use "$dir_temp\wave 2.dta", clear

ren w2_DEM_06 w2_dem_06
ren w2_municipality w2_region
gen geo_code=.

foreach v in w2_region w2_district {
ren `v' temp
decode temp,  gen(`v')
drop temp
}

foreach v in w2_region w2_district w2_dem_06 {
	replace `v'=lower(`v')
}



replace w2_dem_06=strtrim(w2_dem_06)
replace w2_dem_06=stritrim(w2_dem_06)

replace geo_code=4 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="agara"
replace geo_code=5 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="akhalcikhe"
replace geo_code=6 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="akhalcikhis"
replace geo_code=7 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="akhalcikhis rustavelis"
replace geo_code=8 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="akhalcikhis sofel atskurshi"
replace geo_code=9 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="akhalcikhis sofel klde"
replace geo_code=10 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="atskuri"
replace geo_code=11 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="atskuri"
replace geo_code=12 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="atskuris"
replace geo_code=13 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="atskurshi"
replace geo_code=14 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="chacharaqi"
replace geo_code=15 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="chhacharaqi"
replace geo_code=16 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="giorgitsminda"
replace geo_code=17 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="giorgiwminda"
replace geo_code=18 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="ivlita"
replace geo_code=19 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="ivlita"
replace geo_code=20 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="jajaraqi"
replace geo_code=21 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="klde"
replace geo_code=22 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="klde"
replace geo_code=23 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="mugareti"
replace geo_code=24 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="mugareti"
replace geo_code=25 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="sakuneti"
replace geo_code=26 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="sakuneti"
replace geo_code=27 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="shkhvilisi"
replace geo_code=28 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="skhvilisi"
replace geo_code=29 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="skhvilisi"
replace geo_code=30 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="tsnidi"
replace geo_code=31 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="tsnisi"
replace geo_code=32 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="tsnisi"
replace geo_code=33 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="uraveli"
replace geo_code=34 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="uraveli"
replace geo_code=35 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="vale"
replace geo_code=36 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="vale"
replace geo_code=37 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 =="zemo skhvilisi"
replace geo_code=38 if w2_region =="akhaltsikhe" &  w2_district =="akhaltsikhe" &  w2_dem_06 ==""
replace geo_code=39 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 ==".devera"
replace geo_code=40 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="akhaldaba"
replace geo_code=41 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="arbo"
replace geo_code=42 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="ashenda"
replace geo_code=43 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="ateni"
replace geo_code=44 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="berbuki"
replace geo_code=45 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="deera"
replace geo_code=46 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="devera"
replace geo_code=47 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="dici"
replace geo_code=48 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="didi garejvari"
replace geo_code=49 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="flavismani"
replace geo_code=50 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="gori"
replace geo_code=51 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="karaleti"
replace geo_code=52 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="karaleti"
replace geo_code=53 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="kheltubani"
replace geo_code=54 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="khidistavi"
replace geo_code=55 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="khidistavi"
replace geo_code=56 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="khidistavis"
replace geo_code=57 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="mejvriskhevi"
replace geo_code=58 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="mejvriskhevi"
replace geo_code=59 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="mejvriskhrvi"
replace geo_code=60 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="patara garejvari"
replace geo_code=61 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="patara mejvriskhevi"
replace geo_code=62 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="qordi"
replace geo_code=63 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="qordi"
replace geo_code=64 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="qvakhvreli"
replace geo_code=65 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="rekha"
replace geo_code=66 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="shindisi"
replace geo_code=67 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="sindisi"
replace geo_code=68 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="skra"
replace geo_code=69 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="sveneti"
replace geo_code=70 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="tiniskhidi"
replace geo_code=71 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="tirdznisi"
replace geo_code=72 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="tirdznisi"
replace geo_code=73 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="tirdzrnisi"
replace geo_code=74 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="tkviavi"
replace geo_code=75 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="ufliscikhe"
replace geo_code=76 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="variani"
replace geo_code=77 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="variani"
replace geo_code=78 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="xeltubani"
replace geo_code=79 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 =="xeltumbani"
replace geo_code=80 if w2_region =="gori" &  w2_district =="gori" &  w2_dem_06 ==""
replace geo_code=81 if w2_region =="kutaisi" &  w2_district =="qutaisi" &  w2_dem_06 =="qutaisi"
replace geo_code=82 if w2_region =="kutaisi" &  w2_district =="qutaisi" &  w2_dem_06 ==""
replace geo_code=83 if w2_region =="tbilisi" &  w2_district =="chugureti" &  w2_dem_06 =="tbilisi"
replace geo_code=84 if w2_region =="tbilisi" &  w2_district =="chugureti" &  w2_dem_06 ==""
replace geo_code=85 if w2_region =="tbilisi" &  w2_district =="didubi" &  w2_dem_06 =="tbilisi"
replace geo_code=86 if w2_region =="tbilisi" &  w2_district =="didubi" &  w2_dem_06 ==""
replace geo_code=87 if w2_region =="tbilisi" &  w2_district =="gldani" &  w2_dem_06 =="tbilisi"
replace geo_code=88 if w2_region =="tbilisi" &  w2_district =="gldani" &  w2_dem_06 ==""
replace geo_code=89 if w2_region =="tbilisi" &  w2_district =="isani" &  w2_dem_06 =="tbilisi"
replace geo_code=90 if w2_region =="tbilisi" &  w2_district =="isani" &  w2_dem_06 ==""
replace geo_code=91 if w2_region =="tbilisi" &  w2_district =="krwanisi" &  w2_dem_06 =="fonichala"
replace geo_code=92 if w2_region =="tbilisi" &  w2_district =="krwanisi" &  w2_dem_06 =="foniwala"
replace geo_code=93 if w2_region =="tbilisi" &  w2_district =="krwanisi" &  w2_dem_06 =="rustavis gzatketsilis 42"
replace geo_code=94 if w2_region =="tbilisi" &  w2_district =="krwanisi" &  w2_dem_06 =="tbilisi"
replace geo_code=95 if w2_region =="tbilisi" &  w2_district =="krwanisi" &  w2_dem_06 =="tbilisi"
replace geo_code=96 if w2_region =="tbilisi" &  w2_district =="krwanisi" &  w2_dem_06 ==""
replace geo_code=97 if w2_region =="tbilisi" &  w2_district =="mtawminda" &  w2_dem_06 =="tbilisi"
replace geo_code=98 if w2_region =="tbilisi" &  w2_district =="mtawminda" &  w2_dem_06 ==""
replace geo_code=99 if w2_region =="tbilisi" &  w2_district =="nadzaladevi" &  w2_dem_06 =="tbilisi"
replace geo_code=100 if w2_region =="tbilisi" &  w2_district =="nadzaladevi" &  w2_dem_06 ==""
replace geo_code=101 if w2_region =="tbilisi" &  w2_district =="saburtalo" &  w2_dem_06 =="tbilisi"
replace geo_code=102 if w2_region =="tbilisi" &  w2_district =="saburtalo" &  w2_dem_06 ==""
replace geo_code=103 if w2_region =="tbilisi" &  w2_district =="samgori" &  w2_dem_06 =="patara lilo"
replace geo_code=104 if w2_region =="tbilisi" &  w2_district =="samgori" &  w2_dem_06 =="tbilisi"
replace geo_code=105 if w2_region =="tbilisi" &  w2_district =="samgori" &  w2_dem_06 =="varketili"
replace geo_code=106 if w2_region =="tbilisi" &  w2_district =="samgori" &  w2_dem_06 ==""
replace geo_code=107 if w2_region =="tbilisi" &  w2_district =="vake" &  w2_dem_06 =="bagebi"
replace geo_code=108 if w2_region =="tbilisi" &  w2_district =="vake" &  w2_dem_06 =="tbilisi"
replace geo_code=109 if w2_region =="tbilisi" &  w2_district =="vake" &  w2_dem_06 ==""
replace geo_code=110 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="akhalkakhati"
replace geo_code=111 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="akhalkakhati"
replace geo_code=112 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="anaklia"
replace geo_code=113 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="anaklia"
replace geo_code=114 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="chitatskari"
replace geo_code=115 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="daracheli"
replace geo_code=116 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="darceli"
replace geo_code=117 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="darcheli"
replace geo_code=118 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="ganmokhuri"
replace geo_code=119 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="ganmukhuri"
replace geo_code=120 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="ganmukhuri"
replace geo_code=121 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="ingiri"
replace geo_code=122 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="ingiri"
replace geo_code=123 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="jikhashkari"
replace geo_code=124 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="jikhaskari"
replace geo_code=125 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="kakhati"
replace geo_code=126 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="kakhati"
replace geo_code=127 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="kulishkari"
replace geo_code=128 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="odishi"
replace geo_code=129 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="odisi"
replace geo_code=130 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="onaria"
replace geo_code=131 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="orsantia"
replace geo_code=132 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="s.kulishkari"
replace geo_code=133 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 =="zugdidi"
replace geo_code=134 if w2_region =="zugdidi" &  w2_district =="zugdidi" &  w2_dem_06 ==""



merge m:1 geo_code using "`w2_geotemp'"

drop if _merge==2

*br w2_region w2_district w2_dem_06 new* geo_code if _merge==2
drop _merge

ren new_prov w2_geo_province
ren new_citymuni w2_geo_municipality
ren new_district w2_geo_district 
label var w2_geo_province "Geograpic level 1 - province"
label var w2_geo_municipality "Geographic level 2 - municipality/metro"
label var w2_geo_district "Geographic level 3 - district/city district"
drop geo_code w2_region w2_district

ren w2_geo_province w2_municipality //to match FC for now
save "$dir_temp\wave 2 geo.dta", replace